API reference · Onboarding

Fetch all passed onboardings ids for the same person

GET/omni/identity/{customerId}/sessionIds

Authentication

This endpoint requires x-api-key and X-Incode-Hardware-Id.

x-api-keyheader

Your api key. Request it from Incode support team

X-Incode-Hardware-Idheader

Session token. Created either via /omni/start or /executive/log-in

Base URL: https://demo-api.incodesmile.com — Incode demo environment

Get all passed onboardings ids for the same person

Path & query parameters

Name In Type Required Description
customerId path string yes
api-version header string yes Default: 1.0

Responses

200

OK

Response body (application/json):

Field Type Required Description
sessionIds array[string]
count integer (int32)
initialSessionId string

400

Bad Request

Response body (application/json):

Field Type Required Description
timestamp integer (int64) UTC timestamp in milliseconds
status integer (int32) Custom error code or HTTP status code
error string HTTP status error
message string Custom error message
path string Endpoint path
details object Custom error details
Was this page helpful?